diff -ruaN mythplugins-0.19-fixes.orig/debian/changelog mythplugins-0.19-fixes/debian/changelog
--- mythplugins-0.19-fixes.orig/debian/changelog	1970-01-01 00:00:00.000000000 +0000
+++ mythplugins-0.19-fixes/debian/changelog	2006-03-02 04:40:25.000000000 +0000
@@ -0,0 +1,78 @@
+mythplugins (0.19.0-6_i586) unstable; urgency=low
+
+  * Mythweb patches for MythStreamTV.
+
+ -- Cecil Watson <cwatson@linkline.com>  Wed, 01 Mar 2006 00:26:35 -0800
+
+mythplugins (0.19.0-5_i586) unstable; urgency=low
+
+  * Mythweb patches.
+
+ -- Cecil Watson <cwatson@linkline.com>  Sat, 25 Feb 2006 00:01:35 -0800
+
+mythplugins (0.19.0-4_i586) unstable; urgency=low
+
+  * Mythweb language patches for MythStreamTV.
+
+ -- Cecil Watson <cwatson@linkline.com>  Fri, 24 Feb 2006 14:39:35 -0800
+
+mythplugins (0.19.0-3_i586) unstable; urgency=low
+
+  * Initial upstream release.
+  * This is 0.19-fixes.
+
+ -- Cecil Watson <cwatson@linkline.com>  Tue, 14 Feb 2006 19:01:35 -0800
+
+mythplugins (0.19.0-2_i586) unstable; urgency=low
+
+  * KnoppMyth specific menu patches.
+
+ -- Cecil Watson <cwatson@linkline.com>  Tue, 14 Feb 2006 19:01:35 -0800
+
+mythplugins (0.19.0-1_i586) unstable; urgency=low
+
+  * Initial upstream release.
+
+ -- Cecil Watson <cwatson@linkline.com>  Tue, 14 Feb 2006 19:01:35 -0800
+
+mythplugins (0.18.2svn-3_i686) unstable; urgency=low
+
+  * Fixes for paths in MythWeb.
+
+ -- Cecil Watson <cwatson@linkline.com>  Mon, 04 Oct 2005 17:10:18 -0800
+
+mythplugins (0.18.2svn-2_i686) unstable; urgency=low
+
+  * Fix for MythWeb missing directory.
+
+ -- Cecil Watson <cwatson@linkline.com>  Sun, 11 Sept 2005 17:33:18 -0800
+
+mythplugins (0.18.2svn-1_i586) unstable; urgency=low
+
+  * Initial upstream release.
+
+ -- Cecil Watson <cwatson@linkline.com>  Sun, 11 Sept 2005 17:33:18 -0800
+
+mythplugins (0.18.1-1_i586) unstable; urgency=low
+
+  * Initial upstream release.
+
+ -- Cecil Watson <cwatson@linkline.com>  Fri, 27 May 2005 17:28:18 -0800
+
+mythplugins (0.18-3_i586) unstable; urgency=low
+
+  * Fix.  Added MythBrowser.
+
+ -- Cecil Watson <cwatson@linkline.com>  Fri, 7 Apr 2005 23:08:18 -0800
+
+mythplugins (0.18-2_i586) unstable; urgency=low
+
+  * Fix.  Added MythWeb.
+
+ -- Cecil Watson <cwatson@linkline.com>  Fri, 7 Apr 2005 23:08:18 -0800
+
+mythplugins (0.18-1_i586) unstable; urgency=low
+
+  * Initial upstream release.
+
+ -- Cecil Watson <cwatson@linkline.com>  Fri, 7 Apr 2005 23:08:18 -0800
diff -ruaN mythplugins-0.19-fixes.orig/debian/control mythplugins-0.19-fixes/debian/control
--- mythplugins-0.19-fixes.orig/debian/control	1970-01-01 00:00:00.000000000 +0000
+++ mythplugins-0.19-fixes/debian/control	2006-03-02 04:40:25.000000000 +0000
@@ -0,0 +1,12 @@
+Source: mythplugins
+Section: graphics
+Priority: optional
+Maintainer: Cecil Watson <cwatson@linkline.com>
+Build-Depends: debhelper (>> 3.0.0), libvorbis-dev (>= 1.0.0-1), libflac-dev (>= 1.0.4-4), libmad0-dev, libcdaudio0-dev, libcdparanoia0-dev, libmyth-0.17-dev, libid3tag0-dev, xlibmesa-gl-dev | xlibmesa-dev | libgl-dev, fftw-dev, libsdl1.2-dev, liblame-dev,  kdelibs4-dev, mythtv-common (>= 0.11-2), mythtv-frontend (>= 0.17-1), libtiff4-dev, libxml-simple-perl, libvorbis-dev (>= 1.0.0-1), libflac-dev (>= 1.0.4-4), libmad0-dev, libcdaudio0-dev, libcdparanoia0-dev, libmyth-0.17-dev, libid3tag0-dev, fftw-dev, libsdl1.2-dev, liblame-dev, festival-dev, zlib1g-dev, ${shlibs:Depends}
+Standards-Version: 3.5.2
+Bugs: mailto: cwatson@linkline.com
+
+Package: mythplugins
+Architecture: any
+Depends: mythtv-common (>= 0.11-2), mythtv-frontend (>= 0.18-1), ${shlibs:Depends}
+Description: Plugins for MythTV.
diff -ruaN mythplugins-0.19-fixes.orig/debian/copyright mythplugins-0.19-fixes/debian/copyright
--- mythplugins-0.19-fixes.orig/debian/copyright	1970-01-01 00:00:00.000000000 +0000
+++ mythplugins-0.19-fixes/debian/copyright	2006-03-02 04:40:25.000000000 +0000
@@ -0,0 +1,22 @@
+This package was debianized by Matt Zimmerman <mdz@debian.org> on
+Wed, 13 Nov 2002 00:31:18 -0500.
+
+It was downloaded from http://www.mythtv.org/
+
+Upstream Authors (from AUTHORS): 
+
+Main Author:
+    Isaac Richards <ijr@po.cwru.edu>
+
+The decoding engine (mp3 + vorbis) is taken from MQ3 version 14, from
+    http://www.mq3.org/   
+MQ3 is released under a 'do as you want' license, but borrows heavily from
+GPL'd code (zinf.sourceforge.net), so I'm re-GPL-ing it here.
+
+Synaesthesia:
+    Paul Harrison -- http://yoyo.cc.monash.edu.au/~pfh/synaesthesia.html
+
+
+Copyright:
+
+MythMusic is distributed under the terms of the GPL, version 2 only.
diff -ruaN mythplugins-0.19-fixes.orig/debian/dirs mythplugins-0.19-fixes/debian/dirs
--- mythplugins-0.19-fixes.orig/debian/dirs	1970-01-01 00:00:00.000000000 +0000
+++ mythplugins-0.19-fixes/debian/dirs	2006-03-02 04:40:25.000000000 +0000
@@ -0,0 +1,2 @@
+usr/bin
+usr/sbin
diff -ruaN mythplugins-0.19-fixes.orig/debian/mythplugins.links mythplugins-0.19-fixes/debian/mythplugins.links
--- mythplugins-0.19-fixes.orig/debian/mythplugins.links	1970-01-01 00:00:00.000000000 +0000
+++ mythplugins-0.19-fixes/debian/mythplugins.links	2006-03-02 04:40:25.000000000 +0000
@@ -0,0 +1,8 @@
+usr/share/mythtv/mythweb var/www/mythweb
+myth/image_cache usr/share/mythtv/mythweb/image_cache 
+myth/tv usr/share/mythtv/mythweb/video_dir
+myth/music usr/share/mythtv/mythweb/music_dir
+myth/video usr/share/mythtv/mythweb/video_url
+myth/video/.covers usr/share/mythtv/mythweb/data/video_covers
+etc/mythtv/mythweb-htaccess.conf usr/share/mythtv/mythweb/.htaccess
+etc/mythtv/mythweb-settings.php usr/share/mythtv/mythweb/config/conf.php
diff -ruaN mythplugins-0.19-fixes.orig/debian/mythplugins.postinst mythplugins-0.19-fixes/debian/mythplugins.postinst
--- mythplugins-0.19-fixes.orig/debian/mythplugins.postinst	1970-01-01 00:00:00.000000000 +0000
+++ mythplugins-0.19-fixes/debian/mythplugins.postinst	2006-03-02 04:40:25.000000000 +0000
@@ -0,0 +1,116 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+
+CONFIG=/etc/mythtv/mythweb-settings.php
+
+add_default_define() {
+    variable="$1"
+    value="$2"
+
+    if ! grep -q "^[ 	]*define([ 	]*$variable[ 	]*,.*" $CONFIG; then
+        sed -e "s/^\?>.*\$/    define($variable, $value);\n?>/" < $CONFIG > $CONFIG.new
+        chown --reference=$CONFIG $CONFIG.new
+        chmod --reference=$CONFIG $CONFIG.new
+	chown -R www-data.www-data /usr/share/mythtv/mythweb
+        mv $CONFIG.new $CONFIG
+    fi
+}
+
+remove_define() {
+    variable="$1"
+
+    sed -e "/^[ 	]*define([ 	]*$variable[ 	]*/d" < $CONFIG > $CONFIG.new
+    chown --reference=$CONFIG $CONFIG.new
+    chmod --reference=$CONFIG $CONFIG.new
+    chown -R www-data.www-data /usr/share/mythtv/mythweb
+    mv $CONFIG.new $CONFIG
+}
+
+case "$1" in
+    configure)
+
+        # XXX - this should get settings from mythweb-settings.php if
+        # it exists
+
+        MYSQL_CONFIG=/etc/mythtv/mysql.txt
+        db_host="`sed -n -e 's/^\(str  *\)\?DBHostName=\(.*\)$/\2/gp;' $MYSQL_CONFIG`"
+        db_username="`sed -n -e 's/^\(str  *\)\?DBUserName=\(.*\)$/\2/gp;' $MYSQL_CONFIG`"
+        db_password="`sed -n -e 's/^\(str  *\)\?DBPassword=\(.*\)$/\2/gp;' $MYSQL_CONFIG`"
+        db_dbname="`sed -n -e 's/^\(str  *\)\?DBName=\(.*\)$/\2/gp;' $MYSQL_CONFIG`"
+
+        if [ -n "$2" -a -e $CONFIG ] && dpkg --compare-versions "$2" lt 0.13-1; then
+            echo "$CONFIG is too old; changes will be lost"
+            echo "preserving old configuration in $CONFIG.old"
+            mv $CONFIG $CONFIG.old
+        fi
+
+        touch $CONFIG.new
+        chmod 600 $CONFIG.new
+        if [ -e $CONFIG ]; then
+            INPUT=$CONFIG
+        else
+            # Temporary, to avoid password exposure, real perms set below
+            INPUT=/usr/share/mythtv/mythweb/config/conf.php.dist
+        fi
+
+#        define('db_host',     'localhost');
+#        define('db_username', 'mythtv');
+#        define('db_password', 'mythtv');
+#        define('db_dbname',   'mythconverg');
+
+        cat $INPUT | sed -e "
+s/\(define('db_host', *'\)[^']*\('\)/\1$db_host\2/;
+s/\(define('db_username', *'\)[^']*\('\)/\1$db_username\2/;
+s/\(define('db_password', *'\)[^']*\('\)/\1$db_password\2/;
+s/\(define('db_dbname', *'\)[^']*\('\)/\1$db_dbname\2/;
+" > $CONFIG.new
+        mv $CONFIG.new $CONFIG
+
+        if ! dpkg-statoverride --list $CONFIG; then
+            chown mythtv:www-data $CONFIG
+            chmod 640 $CONFIG
+        fi
+
+        cachedir=/myth/image_cache
+        if ! dpkg-statoverride --list $cachedir; then
+            chgrp www-data $cachedir
+            chmod 1775 $cachedir
+        fi
+
+        if [ -n "$2" ] && dpkg --compare-versions "$2" lt 0.15-2; then
+            add_default_define "'default_language'" "'English'"
+            remove_define "'generic_date'"
+            remove_define "'generic_time'"
+        fi
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#chmod a+w /usr/share/mythtv/mythweb/images/icons
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff -ruaN mythplugins-0.19-fixes.orig/debian/mythplugins.preinst mythplugins-0.19-fixes/debian/mythplugins.preinst
--- mythplugins-0.19-fixes.orig/debian/mythplugins.preinst	1970-01-01 00:00:00.000000000 +0000
+++ mythplugins-0.19-fixes/debian/mythplugins.preinst	2006-03-02 04:40:25.000000000 +0000
@@ -0,0 +1,28 @@
+#! /bin/sh
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+#
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+oldcachedir=/usr/share/mythtv/mythweb/image_cache
+if [ "$1" = "upgrade" -a -d $oldcachedir ] && \
+    dpkg --compare-versions "$2" lt 0.14-3; then
+    # This became a symlink
+    rmdir /usr/share/mythtv/mythweb/image_cache
+fi
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff -ruaN mythplugins-0.19-fixes.orig/debian/rules mythplugins-0.19-fixes/debian/rules
--- mythplugins-0.19-fixes.orig/debian/rules	1970-01-01 00:00:00.000000000 +0000
+++ mythplugins-0.19-fixes/debian/rules	2006-03-02 04:40:25.000000000 +0000
@@ -0,0 +1,91 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=3
+
+export QTDIR=$(shell for qtdir in /usr/share/qt3 /usr/share/qt; do if test -d $$qtdir; then echo $$qtdir; break; fi; done)
+
+build: build-stamp
+
+build-stamp:
+	dh_testdir
+
+	./configure --prefix=/usr --enable-all --disable-festival
+	qmake -o Makefile PREFIX=/usr mythplugins.pro
+	make -j 6 CXX=distcc
+
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp
+
+	# Add here commands to clean up after the build process.
+	-$(MAKE) distclean
+	find . -name '.qmake*' | xargs --no-run-if-empty rm -f
+	rm -f config.mak config.h Makefile
+	rm -f debian/shlibs.local
+
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs etc/mythtv etc/mythtv/mythweb var/www usr/share/mythtv/sql usr/share/mythtv/mythweb
+
+	#MythBrowser
+	cp -R --parents mythweb/* \
+		debian/mythplugins/usr/share/mythtv
+
+	install -m 644 mythweb/.htaccess \
+		debian/mythplugins/etc/mythtv/mythweb-htaccess.conf
+
+	mv debian/mythplugins/usr/share/mythtv/mythweb/config/conf.php \
+		debian/mythplugins/usr/share/mythtv/mythweb/config/conf.php.dist
+
+	# Add here commands to install the package into debian/mythplugins.
+	make -j 6 CXX=distcc install INSTALL_ROOT=$(CURDIR)/debian/mythplugins
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installdebconf	
+	dh_installdocs myth*/README* myth*/UPGRADING* myth*/AUTHORS
+#	dh_installexamples
+#	dh_installmenu
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_installinit
+#	dh_installcron
+#	dh_installman
+#	dh_installinfo
+#	dh_undocumented
+	dh_installchangelogs 
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_makeshlibs
+	dh_installdeb
+#	dh_perl
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install
diff -ruaN mythplugins-0.19-fixes.orig/mythdvd/mythdvd/dvdmenu.xml.pre mythplugins-0.19-fixes/mythdvd/mythdvd/dvdmenu.xml.pre
--- mythplugins-0.19-fixes.orig/mythdvd/mythdvd/dvdmenu.xml.pre	2006-02-25 07:27:06.000000000 +0000
+++ mythplugins-0.19-fixes/mythdvd/mythdvd/dvdmenu.xml.pre	2006-03-02 04:40:25.000000000 +0000
@@ -17,3 +17,15 @@
       <action>DVD_PLAY</action>
    </button>
 
+   <button>
+     <type>MPEG4 CD</type>
+     <text>MPEG4 CD</text>
+     <action>EXEC sh /usr/local/bin/divx.sh</action>
+   </button>
+
+   <button>
+      <type>DVD</type>
+      <text>Eject Disk</text>
+      <action>EXEC sudo eject -r</action>
+   </button>
+
diff -ruaN mythplugins-0.19-fixes.orig/mythnews/mythnews/news-sites.xml mythplugins-0.19-fixes/mythnews/mythnews/news-sites.xml
--- mythplugins-0.19-fixes.orig/mythnews/mythnews/news-sites.xml	2006-02-25 07:28:36.000000000 +0000
+++ mythplugins-0.19-fixes/mythnews/mythnews/news-sites.xml	2006-03-02 04:40:25.000000000 +0000
@@ -1227,7 +1227,8 @@
 
 
 <category name="Electronic Frontier Foundation">
-    <item>
+ 
+   <item>
         <title>EFF Breaking News</title>
         <url>http://www.eff.org/news/index.xml</url>
         <ico>http://www.eff.org/favicon.ico</ico>
@@ -1256,7 +1257,96 @@
         <url>http://www.eff.org/rss/action.xml</url>
         <ico>http://www.eff.org/favicon.ico</ico>
     </item>
+
 </category>
 
+<category name="KnoppMyth">
+
+    <item>
+        <title>mysettopbox.tv</title>
+        <url>http://www.mysettopbox.tv/index.xml</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums Linux General</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php=?f5</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums Linux General</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php?=f14</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums Linux MythTV</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php?=f4</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums Tier 1 Hardware</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php?=f8</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums Tier 2 Hardware</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php?=f9</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums Tier 3 Hardware</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php?=f10</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums Announcements</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php?=f7</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums General</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php?=f6</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums Installation</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php?=f1</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums Hardware</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php?=f2</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums Hint and Tips</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php?=f3</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums HDTV</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php?=f15</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums Usage/HowTo</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php?=f11</url>
+    </item>
+
+    <item>
+        <title>mysettopbox.tv Forums Off Topic</title>
+        <url>http://mysettopbox.tv/phpBB2/rss.php?=f13</url>
+    </item>
+
+    <item>
+        <title>KnoppMyth Wiki</title>
+        <url>http://knoppmythwiki.homelinux.org/index.php?id=RSS</url>
+    </item>
+
+</category>
 
 </sites>
diff -ruaN mythplugins-0.19-fixes.orig/mythweb/includes/init.php mythplugins-0.19-fixes/mythweb/includes/init.php
--- mythplugins-0.19-fixes.orig/mythweb/includes/init.php	2006-02-25 07:26:57.000000000 +0000
+++ mythplugins-0.19-fixes/mythweb/includes/init.php	2006-03-02 04:40:25.000000000 +0000
@@ -184,6 +184,7 @@
                      'status'      => null,
                      'backend_log' => null,
                      'stream'      => null,
+                     'streamtv'    => null,
                     );
 
 // Load the various modules (search for the "tv" subdirectory in case it might
diff -ruaN mythplugins-0.19-fixes.orig/mythweb/includes/init.php.orig mythplugins-0.19-fixes/mythweb/includes/init.php.orig
--- mythplugins-0.19-fixes.orig/mythweb/includes/init.php.orig	1970-01-01 00:00:00.000000000 +0000
+++ mythplugins-0.19-fixes/mythweb/includes/init.php.orig	2006-03-02 04:40:25.000000000 +0000
@@ -0,0 +1,331 @@
+<?php
+/**
+ * This file is part of MythWeb, a php-based interface for MythTV.
+ * See http://www.mythtv.org/ for details.
+ *
+ * Initialization routines.  This file basically loads all of the necessary
+ * shared files for the entire program.
+ *
+ * @url         $URL$
+ * @date        $Date: 2006-02-24 08:04:16 +0000 (Fri, 24 Feb 2006) $
+ * @version     $Revision: 9134 $
+ * @author      $Author: xris $
+ * @license     GPL
+ *
+ * @package     MythWeb
+ *
+/**/
+
+// mod_redirect can do some weird things when php is run in cgi mode
+    $keys = preg_grep('/^REDIRECT_/', array_keys($_SERVER));
+    if (!empty($keys)) {
+        foreach ($keys as $key) {
+            $key = substr($key, 9);
+            if (!array_key_exists($key, $_SERVER))
+                $_SERVER[$key] = $_SERVER["REDIRECT_$key"];
+        }
+    }
+
+// Clean the document root variable and make sure it doesn't have a trailing slash
+    $_SERVER['DOCUMENT_ROOT'] = preg_replace('/\/+$/', '', $_SERVER['DOCUMENT_ROOT']);
+
+// Are we running in SSL mode?
+    define('is_ssl', ($_SERVER['SERVER_PORT'] == 443 || !empty($_SERVER['SSL_PROTOCOL']) || !empty($_SERVER['HTTPS']))
+                     ? true
+                     : false);
+
+// Figure out the root path for this mythweb installation.  We need this in order
+// to cleanly reference things like the /js directory from subpaths.
+    define('root', str_replace('//', '/', dirname($_SERVER['SCRIPT_NAME']).'/'));;
+
+// Several sections of this program require the current hostname
+    define('hostname', empty($_SERVER['hostname']) ? trim(`hostname`) : $_SERVER['hostname']);
+
+// Load the user-defined configuration settings
+    require_once 'config/conf.php';
+
+// Load the generic utilities so we have access to stuff like DEBUG()
+    require_once 'includes/utils.php';
+
+// Load the error trapping and display routines
+    require_once 'includes/errors.php';
+    require_once 'includes/errordisplay.php';
+
+// Make sure we're running a new enough version of php
+    if (substr(phpversion(), 0, 3) < 4.3)
+        trigger_error('You must be running at least php 4.3 to use this program.', FATAL);
+
+// Clean up input data
+    fix_crlfxy($_GET);
+    fix_crlfxy($_POST);
+    if (get_magic_quotes_gpc()) {
+        fix_magic_quotes($_COOKIE);
+        fix_magic_quotes($_ENV);
+        fix_magic_quotes($_GET);
+        fix_magic_quotes($_POST);
+        fix_magic_quotes($_REQUEST);
+        fix_magic_quotes($_SERVER);
+    }
+
+// No MySQL libraries installed in PHP
+    if (!function_exists('mysql_connect')) {
+        $Error = "Please install the MySQL libraries for PHP.\n"
+                .'The package is usually called something like php-mysql.';
+        require_once 'templates/_error.php';
+        exit;
+    }
+
+// No database connection info defined?
+    if (empty($_SERVER['db_server']) || empty($_SERVER['db_name']) || empty($_SERVER['db_login'])) {
+        require_once 'templates/_db_vars_error.php';
+        exit;
+    }
+
+/**
+ * $Path is an array of PATH_INFO passed into the script via mod_rewrite or some
+ * other lesser means.  It contains most of the information required for
+ * figuring out what functions the user wants to access.
+ *
+ * @global  array   $GLOBALS['Path']
+ * @name    $Path
+/**/
+    global $Path;
+    $Path = explode('/', preg_replace('/^\/+/',   '',    // Remove leading slashes
+                         preg_replace('/[\s]+/', ' ',    // Convert extra whitespace
+                                                         // Grab the path info from various different places.
+                             array_key_exists('PATH_INFO', $_SERVER)
+                             && $_SERVER['PATH_INFO']
+                                ? $_SERVER['PATH_INFO']
+                                : (array_key_exists('PATH_INFO', $_ENV)
+                                   && $_ENV['PATH_INFO']
+                                    ? $_ENV['PATH_INFO']
+                                    : $_GET['PATH_INFO']
+                                  )
+                         ))
+                   );
+
+// Load the database connection routines
+    require_once 'includes/db.php';
+
+/**
+ * All database connections should now go through this object.
+ *
+ * @global  Database    $GLOBALS['db']
+ * @name    $db
+/**/
+    global $db;
+
+// Connect to the database
+    $db = new Database($_SERVER['db_name'],
+                       $_SERVER['db_login'],
+                       $_SERVER['db_password'],
+                       $_SERVER['db_server']);
+
+// Access denied -- probably means that there is no database
+    if ($db->errno == 1045) {
+        require_once 'templates/_db_access_denied.php';
+        exit;
+    }
+
+// We don't need these security risks hanging around taking up memory.
+    unset($_SERVER['db_name'],
+          $_SERVER['db_login'],
+          $_SERVER['db_password'],
+          $_SERVER['db_server']);
+
+/**
+ * Support legacy database code.  :(
+ * @deprecated  deprecated since the use of db.php
+ *
+ * @global  resource    $GLOBALS['dbh']
+ * @name    $dbh
+/**/
+    global $dbh;
+    $dbh = $db->dbh;
+
+//
+//  If there was a database connection error, this will send an email to
+//    the administrator, and then present the user with a static page
+//    informing them of the trouble.
+//
+    if ($db->error) {
+    // Notify the admin that the database is offline!
+        if (strstr(error_email, '@'))
+            mail(error_email, "Database Connection Error" ,
+                 $db->error,
+                 'From:  PHP Error <php_errors@'.server_domain.">\n");
+    // Let the user know in a nice way that something's wrong
+        require_once 'templates/_site_down.php';
+        exit;
+    }
+
+// Make sure the database is up to date
+    require_once 'includes/db_update.php';
+
+// Load the session handler routines
+    require_once 'includes/session.php';
+
+// Load the translation routines so the modules can translate their descriptions
+    require_once 'includes/translate.php';
+
+/**
+ * Define each module individually in order because it's easier than storing a
+ * sort-order setting in each module.
+ *
+ * @global  array       $GLOBALS['Modules']
+ * @name    $Modules    A list of the available MythWeb modules
+/**/
+    $Modules = array('tv'          => null,
+                     'video'       => null,
+                     'music'       => null,
+                     'weather'     => null,
+                     'movietimes'  => null,
+                     'settings'    => null,
+                     'status'      => null,
+                     'backend_log' => null,
+                     'stream'      => null,
+                    );
+
+// Load the various modules (search for the "tv" subdirectory in case it might
+// find some other "modules" directory, too.
+    $path = find_in_path('modules/tv/init.php');
+    if ($path) {
+        $path = dirname(dirname($path));
+        foreach (array_keys($Modules) as $module) {
+            if (!file_exists("$path/$module/init.php"))
+                continue;
+            require_once "$path/$module/init.php";
+            if (empty($Modules[$module]))
+                unset($Modules[$module]);
+        }
+    }
+    if (empty($Modules)) {
+        require_once 'templates/_no_modules.php';
+        exit;
+    }
+
+// Include a few useful functions
+    require_once "includes/css.php";
+    require_once "includes/mouseovers.php";
+
+// Connect to the backend and load some more handy utilities
+    require_once "includes/mythbackend.php";
+
+// The browser is MythPhone.
+#    if (strpos($_SERVER['HTTP_USER_AGENT'], 'MythPhone') !== false) {
+#        define('Theme', 'vxml');
+#    }
+// Load theme from session if it exists and the user is not resetting the theme.
+    if (file_exists('themes/'.$_SESSION['Theme'].'/theme.php')
+            && !$_REQUEST['RESET_THEME']) {
+        define('Theme', $_SESSION['Theme']);
+    }
+// Now that we've tried a few things, we can load the mobile library
+    else {
+    // Detect different types of browsers and set the theme accordingly.
+        require_once "includes/mobile.php";
+        if (isMobileUser()) {
+        // Browser is mobile but does it accept HTML? If not, use the WML theme.
+            if (browserAcceptsMediaType(array('text/html', '\*/\*')))
+                define('Theme', 'wap');
+            else
+                define('Theme', 'wml');
+        }
+    // Otherwise set the default theme.
+        else {
+            define('Theme', 'default');
+        }
+    }
+
+// Update the session variable
+    $_SESSION['Theme'] = Theme;
+
+// Is there a preferred skin?
+    if (file_exists('skins/'.$_SESSION['Skin'].'/img/') && !$_REQUEST['RESET_SKIN']) {
+        define('Skin', $_SESSION['Skin']);
+    }
+    else {
+        define('Skin', 'default');
+    }
+    $_SESSION['Skin'] = Skin;
+
+// Set up some handy constants
+    define('skin_dir', 'skins/'.Skin);
+    define('skin_url', root.skin_dir);
+    define('theme_dir', 'themes/'.Theme.'/');
+    define('theme_url', root.theme_dir);
+
+// Load the theme config
+    if (file_exists('config/theme_'.Theme.'.php')) {
+        require_once 'config/theme_'.Theme.'.php';
+    }
+
+
+// Make sure the data directory exists and is writable
+    if (!is_dir('data') && !mkdir('data', 0755)) {
+        $Error = 'Error creating the data directory. Please check permissions.';
+        require_once 'templates/_error.php';
+        exit;
+    }
+    if (!is_writable('data')) {
+        $process_user = posix_getpwuid(posix_geteuid());
+        $Error = 'data directory is not writable by '.$process_user['name'].'. Please check permissions.';
+        require_once 'templates/_error.php';
+        exit;
+    }
+
+// New hard-coded cache directory
+    define('cache_dir', 'data/cache');
+
+// Make sure the image cache path exists and is writable
+    if (!is_dir(cache_dir) && !mkdir(cache_dir, 0755)) {
+        $Error = 'Error creating '.cache_dir.': Please check permissions on the data directory.';
+        require_once 'templates/_error.php';
+        exit;
+    }
+    if (!is_writable(cache_dir)) {
+        $process_user = posix_getpwuid(posix_geteuid());
+        $Error = cache_dir.' directory is not writable by '.$process_user['name'].'. Please check permissions.';
+        require_once 'templates/_error.php';
+        exit;
+    }
+
+// Clean out stale thumbnails
+    if (is_dir(cache_dir)) {
+        if ($dir = opendir(cache_dir)) {
+            while (($file = readdir($dir))) {
+                if (!preg_match('/\\.(png|jpg|gif)$/', $file) || !is_file(cache_dir.'/'.$file))
+                    continue;
+            // Delete files older than the last week.
+                if (filemtime(cache_dir.'/'.$file) < time() - 7 * 24 * 60 * 60)
+                    unlink(cache_dir.'/'.$file);
+            }
+            closedir($dir);
+            clearstatcache();
+        }
+    }
+
+// Upgrading from an earlier version?  Wipe the session date data
+    if (!strstr($_SESSION['date_statusbar'], '%')) {
+        unset($_SESSION['date_statusbar'],
+              $_SESSION['date_scheduled'],
+              $_SESSION['date_scheduled_popup'],
+              $_SESSION['date_recorded'],
+              $_SESSION['date_search'],
+              $_SESSION['date_listing_key'],
+              $_SESSION['date_listing_jump'],
+              $_SESSION['date_channel_jump'],
+              $_SESSION['time_format']);
+    }
+
+// Load/set default session data
+    if (!$_SESSION['date_statusbar'])       $_SESSION['date_statusbar']       = t('generic_date') . ', '  . t('generic_time');
+    if (!$_SESSION['date_scheduled'])       $_SESSION['date_scheduled']       = t('generic_date') . ' ('  . t('generic_time') . ')';
+    if (!$_SESSION['date_scheduled_popup']) $_SESSION['date_scheduled_popup'] = t('generic_date');
+    if (!$_SESSION['date_recorded'])        $_SESSION['date_recorded']        = t('generic_date') . '<br />('.t('generic_time').')';
+    if (!$_SESSION['date_search'])          $_SESSION['date_search']          = t('generic_date') . ', '  . t('generic_time');
+    if (!$_SESSION['date_listing_key'])     $_SESSION['date_listing_key']     = t('generic_date') . ', '  . t('generic_time');
+    if (!$_SESSION['date_listing_jump'])    $_SESSION['date_listing_jump']    = t('generic_date');
+    if (!$_SESSION['date_channel_jump'])    $_SESSION['date_channel_jump']    = t('generic_date');
+    if (!$_SESSION['time_format'])          $_SESSION['time_format']          = t('generic_time');
+
diff -ruaN mythplugins-0.19-fixes.orig/mythweb/languages/English.php mythplugins-0.19-fixes/mythweb/languages/English.php
--- mythplugins-0.19-fixes.orig/mythweb/languages/English.php	2006-02-25 07:26:59.000000000 +0000
+++ mythplugins-0.19-fixes/mythweb/languages/English.php	2006-03-02 04:42:58.000000000 +0000
@@ -109,8 +109,10 @@
     'airdate'                                            => '',
     'channum'                                            => '',
     'description'                                        => '',
+    'file size'                                          => '',
     'generic_date'                                       => '%a %b %e, %Y',
     'generic_time'                                       => '%I:%M %p',
+    'has cutlist'                                        => '',
     'length'                                             => '',
     'minutes'                                            => '',
     'recgroup'                                           => '',
@@ -189,6 +191,12 @@
     'Logs' => '',
 // modules/movietimes/init.php
     'Movie Times' => '',
+// modules/mythburn/init.php
+    'MythBurn' => '',
+// modules/mythburn/init.php
+    'StreamTV' => '',
+    'welcome: streamtv' => 'StreamTV',
+    'this module is for streaming your recorded programs via vlc over a network' => 'This module is for streaming your recorded programs via vlc over a network.',
 // modules/settings/init.php
     'MythTV channel info'      => '',
     'MythTV key bindings'      => '',
@@ -266,6 +274,8 @@
     'Unfiltered'          => '',
 // themes/default/music/welcome.php
     'welcome: music' => 'Browse your music collection.',
+// themes/default/mythburn/welcome.php
+    'welcome: mythburn' => '',
 // themes/default/settings/channels.php
     'Configure Channels'                                                                                                                 => '',
     'Please be warned that by altering this table without knowing what you are doing, you could seriously disrupt mythtv functionality.' => '',
@@ -366,10 +376,8 @@
     'Show group'                                          => '',
     'Show recordings'                                     => '',
     'auto-expire'                                         => '',
-    'file size'                                           => '',
     'has bookmark'                                        => '',
     'has commflag'                                        => '',
-    'has cutlist'                                         => '',
     'is editing'                                          => '',
     'preview'                                             => '',
 // themes/default/tv/schedules.php
@@ -446,7 +454,11 @@
 // themes/default/weather/welcome.php
     'welcome: weather' => 'Get the local weather forecast.',
 // themes/default/welcome.php
-    'Visit $1' => ''
+// themes/default/streamtv/welcome.php 
+      'StreamTV'                                           => '', 
+      'welcome: streamtv'                                  => 'This module is for streaming your recorded programs via vlc over a network',
+      'StreamTV Main Menu' => '',
+      'Visit $1' => ''
 // End of the translation hash ** Do not touch the next line
           );
 
diff -ruaN mythplugins-0.19-fixes.orig/mythweb/languages/English_GB.php mythplugins-0.19-fixes/mythweb/languages/English_GB.php
--- mythplugins-0.19-fixes.orig/mythweb/languages/English_GB.php	2006-02-25 07:26:59.000000000 +0000
+++ mythplugins-0.19-fixes/mythweb/languages/English_GB.php	2006-03-02 04:43:22.000000000 +0000
@@ -109,8 +109,10 @@
     'airdate'                                            => '',
     'channum'                                            => '',
     'description'                                        => '',
+    'file size'                                          => '',
     'generic_date'                                       => '%a %b %e, %Y',
     'generic_time'                                       => '%I:%M %p',
+    'has cutlist'                                        => '',
     'length'                                             => '',
     'minutes'                                            => '',
     'recgroup'                                           => '',
@@ -189,6 +191,12 @@
     'Logs' => '',
 // modules/movietimes/init.php
     'Movie Times' => 'Film Times',
+// modules/mythburn/init.php
+    'MythBurn' => '',
+// modules/mythburn/init.php
+    'StreamTV' => '',
+    'welcome: streamtv' => 'StreamTV',
+    'this module is for streaming your recorded programs via vlc over a network' => 'This module is for streaming your recorded programs via vlc over a network.',
 // modules/settings/init.php
     'MythTV channel info'      => '',
     'MythTV key bindings'      => '',
@@ -266,6 +274,8 @@
     'Unfiltered'          => '',
 // themes/default/music/welcome.php
     'welcome: music' => 'Browse your music collection.',
+// themes/default/mythburn/welcome.php
+    'welcome: mythburn' => '',
 // themes/default/settings/channels.php
     'Configure Channels'                                                                                                                 => '',
     'Please be warned that by altering this table without knowing what you are doing, you could seriously disrupt mythtv functionality.' => '',
@@ -366,10 +376,8 @@
     'Show group'                                          => '',
     'Show recordings'                                     => '',
     'auto-expire'                                         => '',
-    'file size'                                           => '',
     'has bookmark'                                        => '',
     'has commflag'                                        => '',
-    'has cutlist'                                         => '',
     'is editing'                                          => '',
     'preview'                                             => '',
 // themes/default/tv/schedules.php
@@ -446,7 +454,11 @@
 // themes/default/weather/welcome.php
     'welcome: weather' => 'Get the local weather forecast.',
 // themes/default/welcome.php
-    'Visit $1' => ''
+// themes/default/streamtv/welcome.php 
+      'StreamTV'                                           => '', 
+      'welcome: streamtv'                                  => 'This module is for streaming your recorded programs via vlc over a network',
+      'StreamTV Main Menu' => '',
+      'Visit $1' => ''
 // End of the translation hash ** Do not touch the next line
           );
 
diff -ruaN mythplugins-0.19-fixes.orig/settings.pro mythplugins-0.19-fixes/settings.pro
--- mythplugins-0.19-fixes.orig/settings.pro	2006-02-25 07:28:36.000000000 +0000
+++ mythplugins-0.19-fixes/settings.pro	2006-03-02 04:40:25.000000000 +0000
@@ -26,7 +26,7 @@
 
 profile:CONFIG += release
 
-QMAKE_CXXFLAGS_RELEASE = $$OPTFLAGS -fomit-frame-pointer
+QMAKE_CXXFLAGS_RELEASE = -O3 -march=i586 -fomit-frame-pointer
 release:contains( TARGET_ARCH_POWERPC, yes ) {
     QMAKE_CXXFLAGS_RELEASE = $$OPTFLAGS
     # Auto-inlining causes some Qt moc methods to go missing
